Token payroll
Bulk Upload Token Payroll CSV
Creates token payrolls, entities and contributors in bulk from parsed CSV rows tagged CSV_UPLOAD.
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/bulk-upload-token-payroll-csv' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"rows": [
{
"externalPayrollID": "string",
"externalEmployeeID": "string",
"email": "user@example.com",
"totalPayrollAmount": "string",
"totalDeductionAmount": "string",
"netPayrollAmount": "string",
"givenName": "string",
"familyName": "string",
"payPeriodStartDate": "string",
"payPeriodEndDate": "string",
"payDate": "string",
"fiatCurrency": "string",
"country": "string",
"payrollGroup": "string",
"integrationEntityName": "string",
"payrollIntegrationEntityId": "string",
"isStablecoinOnlySettlement": true
}
]
}'{
"tokenPayrolls": [
{
"tokenPayroll": {
"tokenPayrollID": "string",
"paymentBackend": "string",
"paymentOwnershipVersion": 0,
"orgID": "string",
"name": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payDate": "string",
"externalPayrollID": "string",
"fiatCurrency": "string",
"payrollEntityId": "string",
"state": "string",
"type": "string",
"payrollGroup": "string",
"integrationEntityName": "string",
"payrollIntegrationEntityId": "string",
"isFiatPayrollComplete": true,
"isTokenPayrollComplete": true,
"fundingEmailSent": true,
"adpDeductionsVerified": true,
"payrollSyncedSource": "string",
"isPlaceholder": true,
"selectedTokenTypeID": "string",
"isStablecoinOnlySettlement": true,
"createdAt": "string",
"updatedAt": "string"
},
"contributors": [
{
"contributorInTokenPayrollID": "string",
"tokenPayrollID": "string",
"roleInOrgID": "string",
"invoicePaymentID": "string",
"totalPayrollAmount": "string",
"totalDeductionAmount": "string",
"netPayrollAmount": "string",
"currency": "string",
"tokenTypeID": "string"
}
],
"entityInfo": {
"wasReused": true,
"existingName": "string",
"attemptedName": "string"
},
"skipped": true,
"skipReason": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
rowsobject[]requiredAllowed: 1 to 10000 items
Show child attributes
externalPayrollIDstringrequiredAllowed: 1 to 200 characters
externalEmployeeIDstringAllowed: at most 200 characters
emailstring<email>requiredtotalPayrollAmountstringrequiredAllowed: 1 to 100 characters
totalDeductionAmountstringrequiredAllowed: 1 to 100 characters
netPayrollAmountstringrequiredAllowed: 1 to 100 characters
givenNamestringAllowed: at most 200 characters
familyNamestringAllowed: at most 200 characters
payPeriodStartDatestringrequiredAllowed: 1 to 50 characters
payPeriodEndDatestringrequiredAllowed: 1 to 50 characters
payDatestringrequiredAllowed: 1 to 50 characters
fiatCurrencystringrequiredAllowed: 1 to 20 characters
countrystringrequiredAllowed: 1 to 100 characters
payrollGroupstringAllowed: at most 100 characters
integrationEntityNamestringAllowed: at most 200 characters
payrollIntegrationEntityIdstringAllowed: at most 200 characters
isStablecoinOnlySettlementbooleanResponse
200Successful response
tokenPayrollsobject[]requiredShow child attributes
tokenPayrollobjectrequiredShow child attributes
tokenPayrollIDstringrequiredpaymentBackendstring | nullrequiredpaymentOwnershipVersionintegerrequiredorgIDstringrequirednamestring | nullrequiredpayPeriodStartstringrequiredpayPeriodEndstringrequiredpayDatestringrequiredexternalPayrollIDstring | nullrequiredfiatCurrencystringrequiredpayrollEntityIdstring | nullrequiredstatestringrequiredtypestringrequiredpayrollGroupstring | nullrequiredintegrationEntityNamestring | nullrequiredpayrollIntegrationEntityIdstring | nullrequiredisFiatPayrollCompletebooleanrequiredisTokenPayrollCompletebooleanrequiredfundingEmailSentbooleanrequiredadpDeductionsVerifiedbooleanrequiredimportedDataanyrequiredpayrollSyncedSourcestring | nullrequiredisPlaceholderbooleanrequiredselectedTokenTypeIDstring | nullrequiredisStablecoinOnlySettlementbooleanrequiredcreatedAtstringrequiredupdatedAtstringrequiredcontributorsobject[]requiredShow child attributes
contributorInTokenPayrollIDstringrequiredtokenPayrollIDstringrequiredroleInOrgIDstringrequiredinvoicePaymentIDstring | nullrequiredtotalPayrollAmountstringrequiredtotalDeductionAmountstringrequirednetPayrollAmountstringrequiredcurrencystring | nullrequiredtokenTypeIDstring | nullrequiredentityInfoobjectrequiredShow child attributes
wasReusedbooleanrequiredexistingNamestring | nullrequiredattemptedNamestring | nullrequiredskippedbooleanskipReasonstring